	cpu 286
	org 100h
%define	b	byte
%define	w	word
%define	d	dword

start:
	cli
	call	Disable
	mov	sp,ENDDRIVER+200h
	mov	bx,sp
	shr	bx,4
	inc	bx
	mov	ah,4Ah
	int	21h
	mov	bx,1000h
	mov	ah,48h
	int	21h
	jc	Crash

	mov	[ExeSeg],ax
	mov	[ExeSeg+2],ax
	add	ax,5fdh
	mov	[dseg],ax

	mov	dx,ExeName
	mov	bx,ExeSeg
	mov	ax,4B03h
	int	21h			;load exe as an overlay
	jc	Crash

	cli
	mov	ax,[dseg]
	mov	ds,ax
	mov	es,ax
	mov	ss,ax
	mov	sp,0DC00h
	mov	ax,sp
	mov	cx,6
	mov	di,0D456h
@@mem:
	add	ah,4
	stosw			;set track buffers
	loop	@@mem
	mov	b [0dfah],1	;loop on

	mov	es,[cs:ExeSeg]
	mov	al,0cbh
	mov	[es:865h],al
	mov	[es:86fh],al
	mov	[es:1b96h],al
	mov	w [es:1a8fh],01febh
	mov	bp,862h
	call	DRIVER

	push	cs
	pop	ds
	mov	dx,NewInt7F
	mov	ax,257Fh
	int	21h
	call	Enable
	sti
@@infyloop:
	mov	ax,9801h
	int	18h
	jmp	@@infyloop
Disable:
	mov	al,80h
	jmp	HootOut
Enable:
	mov	al,81h
HootOut:
	mov	dx,7E8h
	out	dx,al
	ret
Crash:
	cli
	mov	bx,0DEADh
	mov	cx,bx
	mov	dx,bx
@@loop1:
	jmp	@@loop1
;
SetupRestartInt:
	cli
	push	0
	pop	ds
	mov	w [020h],NewInt8
	mov	w [022h],cs	
	mov	dx,2
	in	al,dx
	and	al,-2
	out	dx,al
	mov	al,36h
	out	77h,al
	xor	al,al
	out	70h,al
	out	70h,al
	ret
	
NewInt8:
	cli
	pusha
	push	ds
	push	es
	mov	bp,1b54h
	call	DRIVER
	mov	al,20h
	out	0,al
	pop	es
	pop	ds
	popa
	iret

NewInt7F:
	cli
	cld
	pusha
	push	ds
	push	es
	call	Disable
	mov	ax,cs
	mov	ds,ax
	mov	es,ax
	mov	dx,7E0h
	in	al,dx
	test	al,al
	jz	@@play
	cmp	al,2
	jnz	@@exitint
	call	@@stop
@@exitint:
	call	Enable
	pop	es
	pop	ds
	popa
	iret
@@play:
	call	@@stop
	mov	dx,7E2h
	in	ax,dx
	mov	bp,868h
	call	DRIVER
	call	SetupRestartInt
	jmp	@@exitint
@@stop:
	xor	ax,ax
	mov	bp,868h
DRIVER:
	push	cx
	push	ax
	mov	[cs:seg0call],bp
	mov	ds,[cs:dseg]
	call	far [cs:seg0call]
	pop	cx
	pop	cx
	ret

ExeName	db 'ULTIMA.EXE',0
	align 2
dseg		dw 0
seg0call	dw 0
ExeSeg	dw 0,0,0
	db	13,10,13,10,"Ultima I PC98 Driver v1.0 by Mok"
ENDDRIVER:
	end
